class zfs::scrub ($frequency) {

  if (! member(['daily', 'weekly', 'monthly'], $frequency)) {
    fail("Invalid scrub frequency ${frequency}.")
  }

  if $zpool_list {
    file { "/etc/cron.${frequency}/zfs-scrub":
      ensure  => present,
      content => template('zfs/zfs-scrub.erb'),
      owner   => 'root',
      group   => 'root',
      mode    => '0555',
    }
  }

}
